summaryrefslogtreecommitdiff
path: root/datasources/datastore-functions.sh
diff options
context:
space:
mode:
authorEbus-at-dockstar <ebus@dockstar>2013-04-21 16:08:12 +0200
committerEbus-at-dockstar <ebus@dockstar>2013-04-21 16:08:12 +0200
commit550c880bc25a486df89a29e4d521e90dd8407798 (patch)
tree7e4be844f7c3a2b3dd2aed41fb7137b8b99643e5 /datasources/datastore-functions.sh
parenteccf5032895cba746e9aa014c994d412c055106b (diff)
downloadebus-alt-550c880bc25a486df89a29e4d521e90dd8407798.tar.gz
ebus-alt-550c880bc25a486df89a29e4d521e90dd8407798.zip
datasources: loadavg
Diffstat (limited to 'datasources/datastore-functions.sh')
-rw-r--r--datasources/datastore-functions.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/datasources/datastore-functions.sh b/datasources/datastore-functions.sh
new file mode 100644
index 0000000..7cd74a0
--- /dev/null
+++ b/datasources/datastore-functions.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+DATASTORE_BASE="http://localhost:8080/api"
+
+put_value_sensor_now() {
+ sensor=$1
+ value=$2
+ curl -s -i -X PUT \
+ --data-binary "${value}" \
+ "${DATASTORE_BASE}/value/${sensor}"
+ return $?
+}